Bug 496399 - repair the charmap plugin by updating to a fixed release
repair the charmap plugin by updating to a fixed release
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit-plugins (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-18 13:37 EDT by Lubos Stanek
Modified: 2009-10-10 05:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-10 05:21:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Stanek 2009-04-18 13:37:42 EDT
Description of problem:
** (gedit:6870): WARNING **: charmap: /usr/lib64/gedit-2/plugins/libcharmap.so: undefined symbol: gucharmap_chartable_set_font

** (gedit:6870): WARNING **: Cannot load plugin 'charmap' since file '/usr/lib64/gedit-2/plugins' cannot be read.

Version-Release number of selected component (if applicable):
gedit-plugins-2.22.3-2.fc10

How reproducible:
Start gedit with the charmap plugin.

Actual results:
See the description.

Expected results:
The charmap plugin works.

Additional info:
The gedit-plugins ChangeLog mentions:
2008-10-25  Paolo Borelli  <pborelli@katamail.com>
* plugins/charmap/gedit-charmap-plugin.c: use the correct API for
the new charmap lib. Bug #557598, patch by Christophe Sauthier.
Comment 1 Lubos Stanek 2009-05-25 06:11:58 EDT
Is F10 currently supported?
It is more than a month and nobody has even touched it.

There is no other information in this case.
It is not possible to upgrade to 2.26.x in F10 if you do not want to upgrade gedit and the whole GNOME as well.

So what is the problem here?
Comment 2 Rakesh Pandit 2009-08-23 04:39:44 EDT
Thanks for reporting and waiting on it (somehow it skipped from my eyes),

The gedit version for F10 latest was 2.24.3 and gedit-plugins was 2.22 and then 2.25, I have not tested yet whether 2.25 will work with 2.24.3 (which would be a sane update). So, I will soon look at backporting the fix if it is already not a problem with later version available in never stable releases. I would not push an update but will push a patch (most probably).

First I need to get a F10 machine or Vm up :(
Comment 3 Rakesh Pandit 2009-10-10 05:21:23 EDT
I wouldn't be fixing it now, in F10.

Note You need to log in before you can comment on or make changes to this bug.